=== debian/changelog ===
fastcdr (1.0.19-1) unstable; urgency=medium

  * New upstream version 1.0.19
  * Drop patch that was accepted upstream
    - 0004-Prevent-unexpected-length_error-exception.patch

 -- Timo Röhling <timo@gaussglocke.de>  Fri, 29 Jan 2021 16:12:28 +0100

fastcdr (1.0.18-2) unstable; urgency=medium

  * New patch to prevent unexpected length_error exception

 -- Timo Röhling <timo@gaussglocke.de>  Thu, 28 Jan 2021 22:59:42 +0100

fastcdr (1.0.18-1) unstable; urgency=medium

  * New upstream version 1.0.18
  * Drop patch 0004-Prevent-unaligned-access-on-SPARC-and-RISC-V.patch

 -- Timo Röhling <timo@gaussglocke.de>  Thu, 28 Jan 2021 18:50:26 +0100

fastcdr (1.0.17-2) unstable; urgency=medium

  * Prevent unaligned access on SPARC and RISC-V

 -- Timo Röhling <timo@gaussglocke.de>  Mon, 07 Dec 2020 17:18:59 +0100

fastcdr (1.0.17-1) unstable; urgency=medium

  * New upstream version 1.0.17
  * Drop patches that were accepted upstream
    - Improve long double serialization
    - Fix invalid memory access during array deserialization

 -- Timo Röhling <timo@gaussglocke.de>  Mon, 07 Dec 2020 14:08:31 +0100

fastcdr (1.0.16-2) unstable; urgency=medium

  * Source-only upload
  * Use optional regex to ignore all libstdc++ symbols

 -- Timo Röhling <timo@gaussglocke.de>  Fri, 27 Nov 2020 22:06:20 +0100

fastcdr (1.0.16-1) unstable; urgency=medium

  * Initial release. (Closes: #975627)

 -- Timo Röhling <timo@gaussglocke.de>  Tue, 24 Nov 2020 17:12:50 +0100
