=== debian/control ===
Source: fastcdr
Section: libs
Priority: optional
Maintainer: Timo Röhling <timo@gaussglocke.de>
Build-Depends: debhelper-compat (= 13),
               cmake, ninja-build, pkg-kde-tools,
               libgtest-dev <!nocheck>, doxygen <!nodoc>, graphviz <!nodoc>
Standards-Version: 4.5.1
Rules-Requires-Root: no
Homepage: https://github.com/eProsima/Fast-CDR
Vcs-Git: https://salsa.debian.org/roehling/fastcdr.git
Vcs-Browser: https://salsa.debian.org/roehling/fastcdr

Package: libfastcdr1
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Fast CDR serialization library for DDS
 eProsima FastCDR is a C++ library that provides serialization and
 deserialization according to the Common Data Representation (CDR) of the Data
 Distribution Service (DDS) standard and is part of the eProsima FastDDS
 implementation.

Package: libfastcdr-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libfastcdr1 (= ${binary:Version}), ${misc:Depends}
Description: Fast CDR serialization library for DDS - development headers
 eProsima FastCDR is a C++ library that provides serialization and
 deserialization according to the Common Data Representation (CDR) of the Data
 Distribution Service (DDS) standard and is part of the eProsima FastDDS
 implementation.
 .
 This package installs the development headers.

Package: libfastcdr-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: libjs-jquery, ${misc:Depends}
Description: Fast CDR serialization library for DDS - API documentation
 eProsima FastCDR is a C++ library that provides serialization and
 deserialization according to the Common Data Representation (CDR) of the Data
 Distribution Service (DDS) standard and is part of the eProsima FastDDS
 implementation.
 .
 This package installs the API documentation.
