## fastcdr 1.0.23

=== test/CMakeLists.txt ===
# Copyright 2016 Proyectos y Sistemas de Mantenimiento SL (eProsima).
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

find_package(GTest CONFIG REQUIRED)
include(${PROJECT_SOURCE_DIR}/cmake/common/gtest.cmake)

###############################################################################
# Unit tests
###############################################################################
set(UNITTESTS_SOURCE SimpleTest.cpp ResizeTest.cpp)
add_executable(UnitTests ${UNITTESTS_SOURCE})
set_common_compile_options(UnitTests)
target_link_libraries(UnitTests fastcdr GTest::gtest_main)
add_gtest(UnitTests SOURCES ${UNITTESTS_SOURCE})
