=== debian/changelog ===
fastcdr (1.0.23-1) unstable; urgency=medium

  * New upstream version 1.0.23

 -- Timo Röhling <roehling@debian.org>  Fri, 24 Dec 2021 09:02:02 +0100

fastcdr (1.0.22-2) unstable; urgency=medium

  * Transfer package to new Debian Robotics Team

 -- Timo Röhling <roehling@debian.org>  Sat, 09 Oct 2021 12:14:37 +0200

fastcdr (1.0.22-1) unstable; urgency=medium

  * New upstream version 1.0.22
  * Bump Standards-Version to 4.6.0 (no changes)

 -- Timo Röhling <roehling@debian.org>  Sat, 18 Sep 2021 00:05:04 +0200

fastcdr (1.0.21-2) unstable; urgency=medium

  * Upload to unstable.

 -- Timo Röhling <roehling@debian.org>  Sun, 15 Aug 2021 19:58:44 +0200

fastcdr (1.0.21-1) experimental; urgency=medium

  * New upstream version 1.0.21
  * Update maintainer info

 -- Timo Röhling <roehling@debian.org>  Wed, 02 Jun 2021 12:33:53 +0200
