=== debian/control ===
--- 
+++ 
@@ -1,15 +1,16 @@
 Source: fastcdr
 Section: libs
 Priority: optional
-Maintainer: Timo Röhling <timo@gaussglocke.de>
+Maintainer: Debian Robotics Team <team+robotics@tracker.debian.org>
+Uploaders: Timo Röhling <roehling@debian.org>
 Build-Depends: debhelper-compat (= 13),
                cmake, ninja-build, pkg-kde-tools,
                libgtest-dev <!nocheck>, doxygen <!nodoc>, graphviz <!nodoc>
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Homepage: https://github.com/eProsima/Fast-CDR
-Vcs-Git: https://salsa.debian.org/roehling/fastcdr.git
-Vcs-Browser: https://salsa.debian.org/roehling/fastcdr
+Vcs-Git: https://salsa.debian.org/robotics-team/fastcdr.git
+Vcs-Browser: https://salsa.debian.org/robotics-team/fastcdr
 
 Package: libfastcdr1
 Architecture: any
