=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/fastcdr-$1\.tar\.gz/ \
  https://github.com/eProsima/Fast-CDR/releases .*/v?(\d\S+)\.tar\.gz
