## fastcdr 1.0.24

=== debian/changelog ===
fastcdr (1.0.24-1) unstable; urgency=medium

  * New upstream version 1.0.24

 -- Timo Röhling <roehling@debian.org>  Sat, 19 Mar 2022 23:39:39 +0100
