=== src/cpp/CMakeLists.txt ===
--- 
+++ 
@@ -57,7 +57,7 @@
     # Define public headers
     target_include_directories(${PROJECT_NAME} PUBLIC
         $<BUILD_INTERFACE:${PROJECT_SOURCE_DIR}/include> $<BUILD_INTERFACE:${PROJECT_BINARY_DIR}/include>
-        $<INSTALL_INTERFACE:include>
+        $<INSTALL_INTERFACE:${INCLUDE_INSTALL_DIR}>
         )
 
     if(MSVC OR MSVC_IDE)
