=== debian/changelog ===
fastcdr (1.0.26-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Submit, Repository, Repository-Browse.

  [ Timo Röhling ]
  * New upstream version 1.0.26

 -- Timo Röhling <roehling@debian.org>  Wed, 14 Dec 2022 21:32:16 +0100

fastcdr (1.0.25-1) unstable; urgency=medium

  * Update d/watch
  * New upstream version 1.0.25
  * Bump Standards-Version to 4.6.1

 -- Timo Röhling <roehling@debian.org>  Mon, 10 Oct 2022 21:37:58 +0200
