=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Build-Depends: debhelper-compat (= 13),
                cmake, ninja-build, pkg-kde-tools,
                libgtest-dev <!nocheck>, doxygen <!nodoc>, graphviz <!nodoc>
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Homepage: https://github.com/eProsima/Fast-CDR
 Vcs-Git: https://salsa.debian.org/robotics-team/fastcdr.git
