=== debian/tests/control ===
Tests: build-and-run
Depends: libfastcdr-dev, libgtest-dev, cmake, g++ | c++-compiler
Restrictions: allow-stderr
